body{
    overflow: visible;
}

.product-section{
    display: flex;
    flex-direction: column;
    gap:72px;
}

.product-path{
    display: flex;
    gap: 8px;
    padding-top: 40px;
    padding-bottom: 40px;
    align-items: center;
}

.product-path a{
    text-decoration: none;
}

.product-path a:hover{
    text-decoration: underline;
}

.miniature-container{
    width: 100%;
    height: 140px;
    flex-direction: row;
    gap: 20px;
}

.product-captions{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 32px;
    color: var(--color-dark-grey);
}

.price .values .label{
    margin-bottom: -4px;
}

.color-block {
        outline: 1px solid var(--color-tertiary-light-grey);
    border-radius: 8px;
    width: 44px;
    height: 24px;
    margin: 4px;
    background-color: currentColor;
}

.color-block.selected{
    outline: 1px solid var(--color-dark-grey);
    outline-offset: 4px;
}

.add-to-cart-card{
    border-radius: var(--border-radius-sm);
    box-shadow: var(--box-shadow);
    background-color: var(--color-white);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 24px 24px 52px 24px;
    gap: 32px;
    z-index: 2;
}

.add-to-cart-card .actions{
    display: flex;
    width: 100%;
}

.add-to-cart-card .actions .add-to-cart-btn{
    padding: 10px 24px;
}

.add-to-cart-card .actions .add-to-cart-container{
    width: 75%;
}

.add-to-cart-card .actions .input-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    width: 50%;
}

.product-drawer,
.product-drawer *
{
    transition: all var(--transition-duration) ease;
}

.product-drawer,
.product-info-card
{
    display: flex;
    flex-direction: column;
    padding: 24px;
    border: 1px solid var(--color-light-grey);
    border-radius: var(--border-radius-sm);
    gap: 0;
    cursor: pointer;
    
}

.product-drawer.open{
    gap: 6px;
}

.product-drawer.open{
    border-color: var(--color-dark-grey);
}

.product-drawer .icon-container{
    rotate: 180deg;
}

.product-drawer.open .icon-container{
    rotate: 0deg;
}

.product-drawer .drawer-content{
    height: 0;
    flex-direction: column;
    overflow: hidden;
    gap: 2px;
}

.product-drawer.open .drawer-content{
    display: flex;
    height: 100%;
}

.main-img {
    transition: opacity var(--transition-duration) ease;
    width: 100%;
    object-fit: contain;
}

.main-img.is-fading {
  opacity: 0;
}

/* .favorite-overlay{
    position: absolute;
    display: flex;
    justify-content: end;
    top: 33px;
    left: -33px;
    width: 622px;
} */

.favorite-overlay {
    position: absolute;
    top: 32px;
    right: 32px;
}

.favorito a{
  color: var(--color-dark-grey);
  padding: 8px;
}

.pages-links{
    display:none !important;
}

#menu-geral .menu-geral-actions a{
    text-decoration: none;
}

/*MOBILE*/
@media (max-width: 992px){
    .product-images .main-img{
        max-height: 260px;
        max-width: 260px;
    }

    .product-images .main-img-container{
        overflow-x: auto;
    }

    .add-to-cart-card{
        position: sticky;
        bottom: 12px;
        padding: 24px 24px 32px 24px;
    }


    .add-to-cart-card .actions{
        flex-direction: column;;
    }

    .add-to-cart-card .actions .add-to-cart-container {
        width: 100%;
    }

    .add-to-cart-card .actions .input-container{
        width: 100%;
        flex-direction: row-reverse;
    }

    .add-to-cart-card .actions .pack-label{
        width: 30%;
        text-wrap: nowrap;
    }

    .add-to-cart-card .add-to-cart-container{
        display: flex;
        align-items: center;
        gap: 12px;
    }

    .add-to-cart-card .add-to-cart-container .icon-container{
        width: 30%;
    }

    .favorito a{
        padding: 16px;
    }

    .color-selector{
        padding: 36px 2px;
    }

    .product-header{
        margin-bottom: -12px;
    }

    .product-path{
        padding-top: 20px;
        padding-bottom: 24px;
    }

    .favorite-overlay{
        top: 0px;
        right: 0px;
    }
}